PHP Manual
Prev |  | Next

# ctype_alnum

(PHP 4 >= 4.0.4, PHP 5)

ctype_alnum -- Check for alphanumeric character(s)

## Description

bool ctype_alnum ( string text )

Checks if all of the characters in the provided string, text, are alphanumeric. In the standard C locale letters are just [A-Za-z] and the function is equivalent to preg_match('/^[a-z0-9]*$/i', $text).

## Parameters

text

  The tested string.

## Return Values

Returns `TRUE` if every character in text is either a letter or a digit, `FALSE` otherwise.

## Examples

Example 1. A ctype_alnum() example (using the default locale)
`<?php $strings = array('AbCd1zyZ9', 'foo!#$bar'); foreach ($strings as $testcase) { if (ctype_alnum($testcase)) { echo "The string $testcase consists of all letters or digits.\n"; } else { echo "The string $testcase does not consist of all letters or digits.\n"; } } ?>`
The above example will output:
    The string AbCd1zyZ9 consists of all letters or digits.
    The string foo!#$bar does not consists of all letters or digits.

## See Also

ctype_alpha()
ctype_digit()
setlocale()

Prev | Home | Next
Character Type Functions | Up | ctype_alpha